wxTextAttrDimensions Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
wxTextAttrDimensions Class Reference
Class List by Category » Rich Text

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/richtext/richtextbuffer.h>`

## Detailed Description

A class for left, right, top and bottom dimensions.

##

Library: wxRichText
Category: Rich Text

See also
  wxRichTextAttr, wxRichTextCtrl, wxTextAttrDimension

## Public Member Functions
| wxTextAttrDimensions ()
| Default constructor.
void | Reset ()
| Resets the value and flags for all dimensions.
bool | operator== (const wxTextAttrDimensions &dims) const
| Equality operator.
bool | EqPartial (const wxTextAttrDimensions &dims, bool weakTest=true) const
| Partial equality test.
bool | Apply (const wxTextAttrDimensions &dims, const wxTextAttrDimensions *compareWith=NULL)
| Apply to 'this', but not if the same as compareWith.
void | CollectCommonAttributes (const wxTextAttrDimensions &attr, wxTextAttrDimensions &clashingAttr, wxTextAttrDimensions &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.
bool | RemoveStyle (const wxTextAttrDimensions &attr)
| Remove specified attributes from this object.
const wxTextAttrDimension & | GetLeft () const
| Gets the left dimension.
wxTextAttrDimension & | GetLeft ()
const wxTextAttrDimension & | GetRight () const
| Gets the right dimension.
wxTextAttrDimension & | GetRight ()
const wxTextAttrDimension & | GetTop () const
| Gets the top dimension.
wxTextAttrDimension & | GetTop ()
const wxTextAttrDimension & | GetBottom () const
| Gets the bottom dimension.
wxTextAttrDimension & | GetBottom ()
bool | IsValid () const
| Are all dimensions valid?

## Public Attributes
wxTextAttrDimension | m_left
wxTextAttrDimension | m_top
wxTextAttrDimension | m_right
wxTextAttrDimension | m_bottom

## Constructor & Destructor Documentation

## ◆ wxTextAttrDimensions()

wxTextAttrDimensions::wxTextAttrDimensions | ( |  | ) |
| inline

Default constructor.

## Member Function Documentation

## ◆ Apply()

bool wxTextAttrDimensions::Apply | ( | const wxTextAttrDimensions & | dims,
|  | const wxTextAttrDimensions * | compareWith = NULL )

Apply to 'this', but not if the same as compareWith.

## ◆ CollectCommonAttributes()

void wxTextAttrDimensions::CollectCommonAttributes | ( | const wxTextAttrDimensions & | attr,
|  | wxTextAttrDimensions & | clashingAttr,
|  | wxTextAttrDimensions & | absentAttr )

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

## ◆ EqPartial()

bool wxTextAttrDimensions::EqPartial | ( | const wxTextAttrDimensions & | dims,
|  | bool | weakTest = true ) const

Partial equality test.

If weakTest is true, attributes of this object do not have to be present if those attributes of dims are present. If weakTest is false, the function will fail if an attribute is present in dims but not in this object.

## ◆ GetBottom() [1/2]

wxTextAttrDimension & wxTextAttrDimensions::GetBottom | ( |  | ) |
| inline

## ◆ GetBottom() [2/2]

const wxTextAttrDimension & wxTextAttrDimensions::GetBottom | ( |  | ) | const
| inline

Gets the bottom dimension.

## ◆ GetLeft() [1/2]

wxTextAttrDimension & wxTextAttrDimensions::GetLeft | ( |  | ) |
| inline

## ◆ GetLeft() [2/2]

const wxTextAttrDimension & wxTextAttrDimensions::GetLeft | ( |  | ) | const
| inline

Gets the left dimension.

## ◆ GetRight() [1/2]

wxTextAttrDimension & wxTextAttrDimensions::GetRight | ( |  | ) |
| inline

## ◆ GetRight() [2/2]

const wxTextAttrDimension & wxTextAttrDimensions::GetRight | ( |  | ) | const
| inline

Gets the right dimension.

## ◆ GetTop() [1/2]

wxTextAttrDimension & wxTextAttrDimensions::GetTop | ( |  | ) |
| inline

## ◆ GetTop() [2/2]

const wxTextAttrDimension & wxTextAttrDimensions::GetTop | ( |  | ) | const
| inline

Gets the top dimension.

## ◆ IsValid()

bool wxTextAttrDimensions::IsValid | ( |  | ) | const
| inline

Are all dimensions valid?

## ◆ operator==()

bool wxTextAttrDimensions::operator== | ( | const wxTextAttrDimensions & | dims | ) | const
| inline

Equality operator.

## ◆ RemoveStyle()

bool wxTextAttrDimensions::RemoveStyle | ( | const wxTextAttrDimensions & | attr | ) |

Remove specified attributes from this object.

## ◆ Reset()

void wxTextAttrDimensions::Reset | ( |  | ) |
| inline

Resets the value and flags for all dimensions.

## Member Data Documentation

## ◆ m_bottom

wxTextAttrDimension wxTextAttrDimensions::m_bottom

## ◆ m_left

wxTextAttrDimension wxTextAttrDimensions::m_left

## ◆ m_right

wxTextAttrDimension wxTextAttrDimensions::m_right

## ◆ m_top

wxTextAttrDimension wxTextAttrDimensions::m_top